Subject: bug#19841: closed (Re: bug#19841: 25.0.50; Doc for `transient-mark-mode' should say that highlighting is with face `region')

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Feb 2015 15:11:03 +0000

Your bug report

#19841: 25.0.50; Doc for `transient-mark-mode' should say that highlighting is with face `region'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19841: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19841
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19841: 25.0.50; Doc for `transient-mark-mode' should say that highlighting is with face `region'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Feb 2015 17:10:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 13 Feb 2015 06:52:56 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> Wouldn't it be good to xref node Standard Faces for this?

I thought about that, but when I looked at the corresponding nodes, it
didn't look useful: the nodes are very large, and a single sentence
will get lost there.

> And in the case of `transient-mark-mode' and the `region'
> face, the connection is not at all obvious.

The region is mentioned.  In any case, I presume a user who wants to
find the face will simply go to "Standard Faces".

> Anyway, feel free to close the bug

Done.

Subject: 25.0.50; Doc for `transient-mark-mode' should say that highlighting is with face `region'
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Wed, 11 Feb 2015 13:32:24 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Please update the doc string, the Emacs manual, node `Disabled Transient
Mark', and the Elisp manual, node `The Mark'.

While you're at it, please so likewise for the Elisp manual node `The
Region'.  (At least Emacs manual node `Mark' mentions it.)

It is not obvious to users which face they can customize to change the
`transient-mark-mode' highlighting.

This thread is one indication of the need for this improvement:
http://lists.gnu.org/archive/html/help-gnu-emacs/2015-02/msg00236.html

In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'